/*
 Theme Name:   laiaossorio
 Theme URI:    https://gpcstudio.es
 Description:  Child theme for laiaossorio
 Author:       Javier Vega
 Author URI:   https://gpcstudio.es
 Template:     generatepress
 Version:      0.1
*/


::-moz-selection {
    background-color: #000000;
    color: #F6F6F8;
}

::selection {
    background-color: #000000;
    color: #F6F6F8;
}

@font-face {
    font-family: 'Hanken Grotesk';
    src: url('/wp-content/themes/laiaossorio/fonts/HankenGrotesk-Regular.woff2') format('woff2'),
        url('/wp-content/themes/laiaossorio/fonts/HankenGrotesk-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'novelaregular';
    src: url('/wp-content/themes/laiaossorio/fonts/novela-regular-webfont.woff2') format('woff2'),
        url('/wp-content/themes/laiaossorio/fonts/novela-regular-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

body {
    text-rendering: geometricPrecision;
    -webkit-font-smoothing: subpixel-antialiased;
}

body,
button,
input,
select,
textarea {
    font-family: 'Hanken Grotesk';
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
    font-family: 'novelaregular';
    font-weight: 400;
}

nav .inside-navigation {
    padding-top: 20px;
    padding-bottom: 20px;
}

nav.sticky-nav-scrolling-up .inside-navigation {
    padding-top: 10px;
    padding-bottom: 10px;
}

nav .navigation-branding {
    margin-left: 0px;
}

.both-sticky-menu .main-navigation:not(#mobile-header).toggled .main-nav>ul,
.mobile-header-sticky #mobile-header.toggled .main-nav>ul,
.mobile-sticky-menu .main-navigation:not(#mobile-header).toggled .main-nav>ul {
    padding-top: 20px;
}

nav .navigation-branding img,
nav .site-logo.mobile-header-logo img {
    height: 23px !important;
    width: auto;
    padding: 0px;
}

nav .menu-toggle:before,
nav .toggled .menu-toggle:before {
    content: none !important;
}

nav .menu-toggle {
    padding: 0px !important;
}

#site-navigation .navigation-branding,
#sticky-navigation .navigation-branding {
    margin-left: 0px !important;
}

@media (min-width: 769px) {
    nav.main-navigation .main-nav ul li a {
        line-height: 1;
    }
}

nav.main-navigation .main-nav ul li a.shopping-bag {
    padding-right: 0px;
}

.site-main {
    margin-top: 0px !important;
}

#content,
.home .grid-container {
    max-width: none;
}

.home .inside-article,
.single-product.woocommerce-page .grid-container.container .inside-article,
.woocommerce-page .grid-container.container .inside-article {
    padding: 0px;
    overflow: hidden;
}

main a {
    text-decoration: underline;
}

main a:hover {
    color: inherit;
}

.main-navigation a,
.menu-footer-container a,
.menu-footer-en-container a,
.top-bar p,
.top-bar p a {
    font-family: 'Hanken Grotesk';
    font-size: 13px;
    font-weight: 400;
    text-transform: uppercase;
    line-height: 12.96px;
    letter-spacing: 0.24px;
    word-wrap: break-word
}

.main-navigation .current-menu-item a,
.main-navigation a.wpml-ls-current-language,
.menu-footer-container .current-menu-item a,
.woocommerce-page li.shop-menu-item a {
    text-decoration: underline;
}

.main-navigation .main-nav ul li a,
.main-navigation .main-nav ul li.wpml-menu {
    color: black !important;
}

.main-navigation .main-nav ul li.wpml-menu a:hover {
    color: #919191 !important
}


.main-navigation .wpml-menu {
    display: flex !important;
    flex-direction: row;
    gap: 8px;
}

.main-navigation .wpml-menu a {
    padding: 0px !important;
}

.main-navigation li.wpml-menu {
    padding-left: 12px;
    padding-right: 12px;
}


@media (min-width: 769px) {
    .main-navigation li.wpml-menu {
        padding-left: 36px;
        padding-right: 36px;
    }

    #menu-principal,
    #menu-principal-en {
        display: flex;
        flex-direction: row;
    }
}


.title {
    font-size: 24px;
    font-family: 'novelaregular';
    font-weight: 400;
    line-height: 28px;
    word-wrap: break-word;
}

.title a {
    text-decoration: none;
}

.title a:hover {
    text-decoration: underline;
}

.text {
    font-size: 14px;
    font-family: 'novelaregular';
    font-weight: 400;
    line-height: 18.62px;
    word-wrap: break-word
}

.text-footer {
    font-size: 16px;
    font-family: 'novelaregular';
    font-weight: 400;
    line-height: 24px;
    word-wrap: break-word
}

footer button.kt-button {
    padding: 0px !important;
}

.container-fluid,
/* .post-type-archive-product .grid-container .woocommerce-archive-wrapper .inside-article, */
.tax-product_cat .grid-container .inside-article,
.single-product.woocommerce-page .grid-container.container,
nav.main-navigation .inside-navigation {
    padding-left: .875rem;
    padding-right: .875rem;
}

/* 
.post-type-archive-product .grid-container main .woocommerce-archive-wrapper .inside-article .container-fluid{
    padding: 0px;
} */

.pre-container-fluid .wp-block-group__inner-container {
    max-width: none;
    padding: 0px;
}

@media (min-width: 782px) {
    .title {
        font-size: 30px;
        font-family: 'novelaregular';
        font-weight: 400;
        line-height: 36.30px;
        word-wrap: break-word;
    }

    .text-footer {
        font-size: 20px;
        font-family: 'novelaregular';
        font-weight: 400;
        line-height: 28.66px;
        word-wrap: break-word
    }

    .container-fluid,
    /* .post-type-archive-product .grid-container .woocommerce-archive-wrapper .inside-article, */
    .tax-product_cat .grid-container .inside-article,
    .single-product.woocommerce-page .grid-container.container,
    nav.main-navigation .inside-navigation {
        padding-left: 1.875rem;
        padding-right: 1.875rem;
    }

    .container-fluid.hero img {
        height: 90vh;
        object-fit: cover;
    }

    .container-fluid.hero .wp-block-group__inner-container .wp-block-column:first-child {
        order: 1;
    }
}

.container-fluid .row.row-img {
    gap: 6px;
}

.container-fluid .row.row-text {
    max-width: 1200px;
    margin-left: auto;
    margin-right: auto;
}

.container-fluid .row.row-img img {
    width: 100%;
}

.container-fluid .wp-block-group__inner-container {
    padding: 0px;
    max-width: 100%;
    display: flex;
    flex-direction: column;
    gap: 25px;
}

.col-form {
    width: 100%;
    max-width: 660px;
}

.justify-content-center {
    justify-content: center;
}

.w-100 img {
    width: 100%;
}

.d-none {
    display: none;
}

.mb-0 {
    margin-bottom: 0px;
}


/* HOME */

.hero-home,
.hero-home .wp-block-group__inner-container {
    margin: 0px;
    padding: 0px;
    width: 100%;
    max-width: none;
}

.hero-home img {
    height: 65vh;
    width: 100%;
    overflow: hidden;
    object-fit: cover;
}

@media (min-width: 769px) {
    .hero-home img {
        height: 100vh;
    }
}

.home ul.wp-block-woocommerce-product-template {
    margin: 0px;
}

.slide figure a {
    position: relative;
    display: flex !important;
    align-items: center;
    justify-content: center;
}

.slide figure {
    width: 100%;
}

.slide figure a .wp-block-heading {
    position: absolute;
    background-color: white;
    color: #1D1D1B;
    padding: 8px 64px;
    visibility: hidden;
    margin: 0px !important;
    font-size: 16px;
}

.slide:hover figure a img {
    -webkit-filter: grayscale(100%);
    /* Safari 6.0 - 9.0 */
    filter: grayscale(100%);
}

.slide:hover figure a .wp-block-heading {
    visibility: visible;
}

@media (max-width: 768px) {
    ul.seleccion-piezas.wc-block-product-template__responsive.columns-4 {
        -ms-grid-columns: (1fr)[1] !;
        grid-template-columns: repeat(1, 1fr) !important;
    }
}

@media (max-width: 1024px) {
    ul.seleccion-piezas.wc-block-product-template__responsive.columns-4 {
        -ms-grid-columns: (1fr)[2];
        grid-template-columns: repeat(2, 1fr);
    }
}

/* FORM */

form.wpcf7-form input[type="text"],
form.wpcf7-form input[type="email"],
form.wpcf7-form input[type="date"] {
    width: 100%;
    color: #666666;
    background-color: #F6F6F8;
    border: 1px solid #ccc;
    padding: 10px 15px;
    box-sizing: border-box;
    font-size: 16px;
    font-family: 'novelaregular';
    font-weight: 400;
    line-height: 21.28px;
    word-wrap: break-word;
}

form.wpcf7-form input[type=submit] {
    border: 1px solid #1E1E1E;
    background: #1E1E1E;
    color: white;
    -webkit-appearance: button;
    padding: 10px 20px;
    width: 100%;
    max-width: 350px;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    font-size: 16px;
    font-family: 'novelaregular';
    font-weight: 400;
    line-height: 21.28px;
    word-wrap: break-word;
}

form.wpcf7-form .wpcf7-list-item {
    margin: 0px;
}

/*form.wpcf7-form input[type=submit]:hover{
	border: 1px solid #1E1E1E;
    background: #1E1E1E;
	color: white;
}*/


/* FOOTER */
footer .container-fluid * {
    text-align: left;
}

footer form {
    margin-bottom: 3rem;
}

footer .kb-form-basic-style input[type=email]::placeholder {
    color: white;
    opacity: 1 !important;
    transition: .3s all ease-in-out
}

footer .kb-form-basic-style input[type=email] {
    border-bottom: 1px solid white !important;
    transition: .3s all ease-in-out
}

footer .kb-form-basic-style input[type=email],
footer .kb-form-basic-style input[type=email]:focus,
footer .kb-form-basic-style input[type=email]:focus::placeholder {
    background-color: transparent !important;
    color: white;
    padding-left: 0px;
    opacity: 1 !important;
    transition: .3s all ease-in-out
}

footer .kb-form-basic-style input[type=email]:focus {
    border-bottom: 1px solid white !important;
    transition: .3s all ease-in-out
}


footer .kb-form-basic-style button svg {
    stroke: white;
    transition: .3s all ease-in-out
}

footer .kb-form-basic-style button:hover svg {
    stroke: white;
    transition: .3s all ease-in-out
}

footer .col-esq {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

footer .container-fluid .kit-digital .wp-block-group__inner-container {
    gap: 12px;
    margin-top: 2rem;
}

footer .container-fluid .kit-digital .logos-kit {
    gap: 32px;
}

footer .container-fluid .kit-digital .logos-kit img {
    max-height: 34px;
    width: 100%;
}

footer .container-fluid .kit-digital p {
    margin-bottom: 0px;
}

/* BOTIGA */
.woocommerce ul.products li.product .woocommerce-loop-product__link {
    width: 100%;
    display: flex !important;
    flex-direction: column;
    gap: 6px;
}

.woocommerce ul.products li.product .woocommerce-loop-product__link .custom-title-price,
ul.seleccion-piezas .custom-title-price {
    display: flex;
    flex-direction: row;
    gap: 10px;
    margin-top: 0px !important;
    line-height: 1.3;
}

.woocommerce ul.products li.product .woocommerce-LoopProduct-link h2,
ul.seleccion-piezas .custom-title-price h3 {
    font-size: 16px !important;
    padding: 0;
    margin-bottom: 0px !important;
    color: #1D1D1B;
    text-align: left;
}

.woocommerce ul.products li.product .price,
ul.seleccion-piezas .custom-title-price .woocommerce-Price-amount {
    display: block;
    font-weight: 400;
    margin-bottom: 0px;
    font-size: .857rem;
}

.woocommerce ul.products li.product .woocommerce-loop-product__link .sold-out {
    text-decoration: line-through;
}

.woocommerce ul.products li.product .woocommerce-loop-product__link .sold-out-label {
    text-wrap: nowrap;
    font-weight: 400;
}

.woocommerce ul.products li.product.woocommerce-image-align-left .wc-product-image,
.woocommerce ul.products li.product.woocommerce-image-align-left .wc-product-image .inside-wc-product-image,
.woocommerce ul.products li.product.woocommerce-image-align-left .wc-product-image .inside-wc-product-image img,
ul.seleccion-piezas li.product.woocommerce-image-align-left img,
.woocommerce ul.products li.product a img {
    margin: 0px !important;
    width: 100% !important;
    object-fit: cover;
    aspect-ratio: 5/6;
}

.wc-columns-container .products,
.woocommerce .related ul.products,
.woocommerce .up-sells ul.products,
ul.seleccion-piezas {
    row-gap: 64px !important;
    grid-gap: 4px;
}

.post-type-archive-product .grid-container,
.tax-product_cat .grid-container {
    max-width: 100%;
}

.single-product.woocommerce-page .grid-container.container {
    max-width: none;
}

.woocommerce.single-product div.product div.images img {
    aspect-ratio: 1/1;
    overflow: hidden;
    object-fit: cover;
}

.single-product.woocommerce div.product div.images ol.flex-control-thumbs {
    display: flex;
    justify-content: center;
}

.single-product.woocommerce div.product div.images ol.flex-control-thumbs li img {
    aspect-ratio: 5/6;
    object-fit: cover;
}

.woocommerce ul.products li.product .price,
.woocommerce div.product p.price {
    font-family: 'Hanken Grotesk';
    font-weight: normal !important;
}

.woocommerce ul.products li.product .price del,
.woocommerce div.product p.price del {
    color: #FF7474;
}

.woocommerce-message {
    background-color: rgb(29, 29, 27) !important;
    color: white !important;
    font-size: 14px;
    font-family: Novela;
    font-weight: 400;
    line-height: 18.62px;
    word-wrap: break-word;
    text-align: center;
    border-left: 0px !important;
}

.woocommerce-message a.button,
.woocommerce-error a.button {
    float: none !important;
    color: white !important;
    background-color: transparent !important;
    padding: 0px !important;
    font-size: 14px !important;
    font-family: Novela;
    font-weight: 400;
    line-height: 18.62px;
    text-decoration: underline !important;
}

.woocommerce-message a.button::after,
.woocommerce-error a.button::after {
    content: none !important;
}

.woocommerce-error {
    background-color: #EB0000 !important;
    color: white !important;
    font-size: 14px;
    font-family: Novela;
    font-weight: 400;
    line-height: 18.62px;
    word-wrap: break-word;
    text-align: center;
    border-left: 0px !important;
}

.woocommerce .related.products {
    padding-top: 3rem;
    padding-bottom: 6rem;
}

.woocommerce .related.products a.ver-mas {
    display: inline-flex;
    color: white;
    font-size: 16px;
    font-family: Novela;
    font-weight: 400;
    line-height: 21.28px;
    word-wrap: break-word;
    padding: 12px 75px;
    background: #1D1D1B;
    text-decoration: none;
    margin-top: 2.5rem;
}

.woocommerce div.product .quantity,
.woocommerce div.product .quantity .qty {
    width: 100%;
    max-width: none;
}

.woocommerce div.product p.stock.in-stock {
    display: none;
}

@media (min-width: 769px) {
    .woocommerce .related.products {
        padding-top: 6rem;
        padding-bottom: 12rem;
    }

    .woocommerce .related.products a.ver-mas {
        margin-top: 4.5rem;
    }
}


.woocommerce div.product form.cart .button.single_add_to_cart_button {
    width: 100%;
    font-family: Novela;
}

.woocommerce .guia-tallas {
    font-style: italic;
    font-family: 'Hanken Grotesk';
}

.woocommerce .menu-categorias ul {
    list-style: none;
    display: flex;
    flex-direction: row;
    gap: 1.25rem;
    justify-content: left;
    border-top: 1px solid rgb(29, 29, 27);
    border-bottom: 1px solid rgb(29, 29, 27);
    padding-top: 1rem;
    padding-bottom: 1rem;
    margin: 0rem 0 3rem;
    overflow-x: scroll;
    flex-wrap: nowrap;
    scrollbar-width: none;
    /* Firefox */
    -ms-overflow-style: none;
    /* Internet Explorer y Edge */
}

.woocommerce .menu-categorias ul::-webkit-scrollbar {
    display: none;
    /* Chrome, Safari y Opera */
}

@media (min-width: 992px) {
    .woocommerce .menu-categorias ul {
        justify-content: center;
    }
}

.woocommerce .menu-categorias ul li {
    display: flex;
}

.woocommerce .menu-categorias ul li a {
    font-family: 'novelaregular';
    font-size: 14px;
    text-decoration: none;
    color: rgb(29, 29, 27);
    display: flex;
    width: max-content;
}

.woocommerce .menu-categorias ul li a:hover,
.woocommerce .menu-categorias ul li.current-menu-parent a,
.woocommerce .menu-categorias ul li.current-menu-item a {
    color: rgb(29, 29, 27);
    text-decoration: underline;
}

#wc-sticky-cart-panel .guia-tallas {
    display: none;
}

/* carrito */
.woocommerce-cart .flex-carrito {
    display: flex;
    flex-direction: column;
    align-content: center;
    align-items: center;
    max-width: 760px;
}

.woocommerce-cart .flex-carrito.wc-block-components-sidebar-layout .wc-block-components-main,
.woocommerce-cart .flex-carrito.wc-block-components-sidebar-layout .wc-block-components-sidebar {
    width: 100%;
    padding: 0px;
}

.woocommerce-cart .wc-block-cart__submit.wp-block-woocommerce-proceed-to-checkout-block {
    background-color: transparent;
    border: 1px solid rgb(29, 29, 27);
}

.woocommerce-cart h1 {
    text-align: center;
}

.woocommerce-cart .wc-block-components-product-name {
    font-family: 'novelaregular';
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: 121%;
    /* 24.2px */
    letter-spacing: -0.4px;
    text-decoration: none;
}


@media (min-width: 729px) {
    .woocommerce-cart td.wc-block-cart-item__image {
        width: 33%;
    }
}


.category-slider .slick-track {
    display: flex !important;
    gap: 6px !important;

}

.category-slider .slick-slide {
    padding: 0px !important;
}

.category-slider .slick-dots li {
    margin: 0px;
}





.feature_accordion {
    /* padding: 16px; */
    display: flex;
    flex-direction: column;
    gap: 16px;
    margin-bottom: 2rem;
}

.feature_accordion .accordion_item .accordion_header {
    display: flex;
    flex-direction: row;
    gap: 12px;
    align-items: center;
    justify-content: space-between;
    border-radius: 0;
    padding: 0 0 10px;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    cursor: pointer;
    border-bottom: 1px solid #1D1D1B;
}

.feature_accordion .accordion_item .accordion_header .status_indicator {
    transition: transform 500ms;
    transform: rotate(180deg);
}

.feature_accordion .accordion_item .accordion_header .icon_with_title {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 12px;
}

.feature_accordion .accordion_item .accordion_header .icon_with_title p {
    margin-bottom: 0px;
}

.feature_accordion .accordion_item .accordion_header .icon_with_title img {
    width: 28px;
}

.feature_accordion .accordion_item .accordion_body {
    display: grid;
    grid-template-rows: 0fr;
    transition: grid-template-rows 500ms;
}

.feature_accordion .accordion_item .accordion_body .content {
    overflow: hidden;
}

.accordion_header svg {
    transition: transform 0.3s ease;
    /* Suaviza la rotación */
    transform-origin: center;
}




/* GO TO TOP */
a.generate-back-to-top {
    background-color: #d4d4d4;
    color: #000000;
    transition: .3s all;
}


a.generate-back-to-top:hover,
a.generate-back-to-top:focus {
    background-color: #000000;
    color: #F6F6F8;
    text-decoration: none;
    transition: .3s all;
}

/* BANNER COOKIES */
.cdp-cookies-alerta.cdp-cookies-tema-blanco .cdp-cookies-texto {
    background-color: #F6F6F8;
    border-top: 1px solid #ffffff;
    border-bottom: 1px solid #ffffff;
}

.cdp-cookies-alerta.cdp-cookies-tema-blanco .cdp-cookies-texto h4,
.cdp-cookies-alerta.cdp-cookies-tema-blanco .cdp-cookies-texto p{
    color: #000000;
}

.cdp-cookies-alerta.cdp-cookies-tema-blanco .cdp-cookies-texto a,
.cdp-cookies-alerta.cdp-cookies-tema-blanco .cdp-cookies-texto a:hover{
    color: #000000;
    text-decoration: underline;
}

.cdp-cookies-alerta.cdp-cookies-tema-blanco .cdp-cookies-boton-cerrar{
    background-color: #000000;
    color: #F6F6F8 !important;
    padding: 5px 10px 4px 10px;
    text-decoration: none;
}

.cdp-cookies-alerta.cdp-cookies-tema-blanco .cdp-cookies-boton-cerrar:hover{
    background-color: #272727;
    color: #F6F6F8 !important;
}

/* POP UP */

.gutenkit-popup-modal {
    padding: 14px;
}

.gutenkit-popup-container {
    overflow: hidden !important;
}

.gutenkit-popup-container .gutenkit-popup,
.gutenkit-popup-container .gutenkit-popup .wp-block-gutenkit-container,
.gutenkit-popup-container .gutenkit-popup .wp-block-gutenkit-container .gkit-block__inner,
.gutenkit-popup-container .gutenkit-popup .wp-block-gutenkit-container .gkit-block__inner .wp-block-gutenkit-container .gkit-block__inner .wp-block-image,
.gutenkit-popup-container .gutenkit-popup .wp-block-gutenkit-container .gkit-block__inner .wp-block-gutenkit-container .gkit-block__inner .wp-block-image img {
    height: 100%;

}

.gutenkit-popup-container .gutenkit-popup .wp-block-gutenkit-container .gkit-block__inner .wp-block-gutenkit-container .gkit-block__inner .wp-block-image img {
    overflow: hidden;
    object-fit: cover;
    /* width: auto; */
}

.gutenkit-popup-container .title {
    font-size: 24px;
    line-height: 28px;
    margin-bottom: 30px;
    text-align: center;
}


@media (max-width: 767px) {
    .gutenkit-popup-container .gutenkit-popup .wp-block-gutenkit-container .gkit-block__inner .wp-block-gutenkit-container .gkit-block__inner .wp-block-image img {
        max-height: 35vh;
        width: 100%;
    }

    .gutenkit-popup-container .gutenkit-popup .wp-block-gutenkit-container,
    .gutenkit-popup-container .gutenkit-popup .wp-block-gutenkit-container .gkit-block__inner .wp-block-gutenkit-container .gkit-block__inner .wp-block-image,
    .gutenkit-popup-modal .gutenkit-popup-content {
        width: 100%;
    }

    .gutenkit-popup-container .title {
        font-size: 22px;
        line-height: 26px;
        margin-bottom: 24px;
    }

    .gutenkit-popup-container .gutenkit-popup-close {
        fill: white;
    }

    .gutenkit-popup-modal .gutenkit-popup-content {
        height: auto !important;
        width: 100% !important;
    }

}


.gutenkit-popup-container .kb-form-basic-style input[type=email]::placeholder {
    color: #dedede;
    opacity: 1 !important;
    transition: .3s all ease-in-out
}

.gutenkit-popup-container .kb-form-basic-style input[type=email] {
    border-bottom: 1px solid #C9C9C9 !important;
    transition: .3s all ease-in-out
}

.gutenkit-popup-container .kb-form-basic-style input[type=email],
.gutenkit-popup-container .kb-form-basic-style input[type=email]:focus,
.gutenkit-popup-container .kb-form-basic-style input[type=email]:focus::placeholder {
    background-color: transparent !important;
    color: black;
    padding-left: 0px;
    opacity: 1 !important;
    transition: .3s all ease-in-out
}

.gutenkit-popup-container .kb-form-basic-style input[type=email]:focus {
    border-bottom: 1px solid black !important;
    transition: .3s all ease-in-out
}


.gutenkit-popup-container .wp-block-kadence-advanced-form,
.gutenkit-popup-container .wp-block-kadence-column {
    width: 100%;
}

.gutenkit-popup-container .wp-block-kadence-column+.wp-block-kadence-column {
    width: auto;
}

.gutenkit-popup-container .kt-row-column-wrap {
    display: flex;
    flex-direction: row;
}
